#! /bin/bash


PATH_TO_JAVA_DIR=../..
. ./$PATH_TO_JAVA_DIR/setenv.sh $PATH_TO_JAVA_DIR

CLASSPATH=bin:$STAX_JARS:$RT_JAR
SRCPATH=gensrc

# make sure gensrc folder (generated source code) is clean
if [ -e rmdir ]; then rm -rf gensrc
; fi
mkdir gensrc

# make sure bin folder (compiled code) is clean
if [ -e bin ]; then rm -rf bin
; fi
mkdir bin

#  Compile the sample .XSD
$OSROOTDIR/bin/xbinder po.xsd -java -xml -print -o gensrc -pkgName com.test

#  Compile the sample Reader and Writer programs
javac -cp "$CLASSPATH" -sourcepath "$SRCPATH" -d bin Reader.java Writer.java
